package com.mvc.entity;

import java.util.Date;

public class TAlarmNotice {
    private Integer id;

    private String rulesName;

    private String emailAddress;

    private Integer dosageMin;

    private Integer dosageMax;

    private Integer calcInterval;

    private Integer rulesType;

    private String remarks;

    private Integer useFlag;

    private String createMan;

    private Date createTime;

    private String unitCode;

    private String extendField;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRulesName() {
        return rulesName;
    }

    public void setRulesName(String rulesName) {
        this.rulesName = rulesName == null ? null : rulesName.trim();
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress == null ? null : emailAddress.trim();
    }

    public Integer getDosageMin() {
        return dosageMin;
    }

    public void setDosageMin(Integer dosageMin) {
        this.dosageMin = dosageMin;
    }

    public Integer getDosageMax() {
        return dosageMax;
    }

    public void setDosageMax(Integer dosageMax) {
        this.dosageMax = dosageMax;
    }

    public Integer getCalcInterval() {
        return calcInterval;
    }

    public void setCalcInterval(Integer calcInterval) {
        this.calcInterval = calcInterval;
    }

    public Integer getRulesType() {
        return rulesType;
    }

    public void setRulesType(Integer rulesType) {
        this.rulesType = rulesType;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public Integer getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(Integer useFlag) {
        this.useFlag = useFlag;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getExtendField() {
        return extendField;
    }

    public void setExtendField(String extendField) {
        this.extendField = extendField == null ? null : extendField.trim();
    }
}